Anchor text and URL recommendations
curl --request POST \
--url 'https://api.conductor.com/v4/accounts/{accountId}/internal-link-recommendations?apiKey=&sig=' \
--header 'Content-Type: application/json' \
--data '
{
"text": "Looking for the best running shoes for marathons.",
"webPropertyId": 456,
"linkExclusionUrls": [
"https://www.example.com/discontinued-product"
]
}
'import requests
url = "https://api.conductor.com/v4/accounts/{accountId}/internal-link-recommendations?apiKey=&sig="
payload = {
"text": "Looking for the best running shoes for marathons.",
"webPropertyId": 456,
"linkExclusionUrls": ["https://www.example.com/discontinued-product"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
text: 'Looking for the best running shoes for marathons.',
webPropertyId: 456,
linkExclusionUrls: ['https://www.example.com/discontinued-product']
})
};
fetch('https://api.conductor.com/v4/accounts/{accountId}/internal-link-recommendations?apiKey=&sig=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"anchorsAndUrls": [
{
"anchorText": "<string>",
"context": "<string>",
"url": "<string>",
"reason": "<string>",
"title": "<string>",
"chatCompletionId": "<string>"
}
],
"additionalInfo": [
{
"llmRejectedUrls": [
"<string>"
],
"excludedUrls": [
"<string>"
]
}
],
"chatCompletionId": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Internal Linking
Anchor text and URL recommendations
Get anchor text and URL recommendations for a given block of text using the customer’s embedded pages.
POST
/
v4
/
accounts
/
{accountId}
/
internal-link-recommendations
Anchor text and URL recommendations
Authorizations
API Key as a query parameter
Request signature computed using API key and secret. Valid for 5 minutes after creation.
Path Parameters
Account identifier
Body
application/json
The text to analyze for internal link recommendations.
Web property ID used to scope recommendations.
Optional instructions for the recommendations.
URLs to exclude from the recommendations.
Filter narrowing which candidate pages are eligible for recommendations.
Show child attributes
Show child attributes
Whether cached results may be used.
Prompt label used for recommendation generation.
Language filter for the recommendations.
⌘I
